#include <bits/stdc++.h>
using namespace std;
int main(){
ios_base::sync_with_stdio(false);
cin.tie(0);
int n,k,x;
cin>>n>>k>>x;
int a[n];
if(k==3){
        if((n==2)||(n>4)){
            cout<<"-1"<<endl;
            return 0;
        }



    }



}
return 0;
}